weka.attributeSelection

## Interface AttributeTransformer

- All Known Implementing Classes:
    PrincipalComponents

      public interface AttributeTransformer

  Abstract attribute transformer. Transforms the dataset.
  Version:
    $Revision: 8034 $
  Author:
    Mark Hall (mhall@cs.waikato.ac.nz)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Instance` | `convertInstance(Instance instance)` Transforms an instance in the format of the original data to the transformed space
    `Instances` | `transformedData(Instances data)` Transform the supplied data set (assumed to be the same format as the training data)
    `Instances` | `transformedHeader()` Returns just the header for the transformed data (ie.

- - ### Method Detail

    - #### transformedHeader

          Instances transformedHeader()
                               throws java.lang.Exception

      Returns just the header for the transformed data (ie. an empty set of instances. This is so that AttributeSelection can determine the structure of the transformed data without actually having to get all the transformed data through getTransformedData().
      Returns:
        the header of the transformed data.
      Throws:
        `java.lang.Exception` - if the header of the transformed data can't be determined.

    - #### transformedData

          Instances transformedData(Instances data)
                             throws java.lang.Exception

      Transform the supplied data set (assumed to be the same format as the training data)
      Returns:
        A set of instances representing the transformed data
      Throws:
        `java.lang.Exception` - if the attribute could not be evaluated

    - #### convertInstance

          Instance convertInstance(Instance instance)
                            throws java.lang.Exception

      Transforms an instance in the format of the original data to the transformed space
      Returns:
        a transformed instance
      Throws:
        `java.lang.Exception` - if the instance could not be transformed